Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_parser_raptor_parse_into_model_common

## Name

librdf_parser_raptor_parse_into_model_common -- Retrieve the RDF/XML content at URI and store it into a librdf_model

## Synopsis

``int `librdf_parser_raptor_parse_into_model_common`` (void * `context`, librdf_uri * `uri`, const char * `string`, librdf_uri * `base_uri`, librdf_model* `model`);`

## Arguments

`context`

  parser context

`uri`

  librdf_uri URI of RDF/XML content source

`string`

  -- undescribed --

`base_uri`

  librdf_uri URI of the content location

`model`

  librdf_model of model

## Description

Retrieves all statements and stores them in the given model.

## Return value

non 0 on failure

<<< Previous | Home | Next >>>
librdf_parser_raptor_parse_string_as_stream | Up | librdf_parser_raptor_parse_uri_into_model